MacWrtParserInternal Namespace Reference

Internal: the structures of a MacWrtParser. More...

## Classes
struct | FileHeader
| Document header. More...
struct | Information
| the paragraph... information More...
struct | WindowsInfo
| the windows structure More...
struct | State
| Internal: the state of a MacWrtParser. More...
class | SubDocument
| Internal: the subdocument of a MacWrtParser. More...

## Functions
std::ostream & | operator<< (std::ostream &o, FileHeader const &header)
std::ostream & | operator<< (std::ostream &o, Information const &info)
std::ostream & | operator<< (std::ostream &o, WindowsInfo const &w)

## Detailed Description

Internal: the structures of a MacWrtParser.

## Function Documentation

## ◆ operator<<() [1/3]

std::ostream & MacWrtParserInternal::operator<< | ( | std::ostream & | o,
|  | FileHeader const & | header )

## ◆ operator<<() [2/3]

std::ostream & MacWrtParserInternal::operator<< | ( | std::ostream & | o,
|  | Information const & | info )

## ◆ operator<<() [3/3]

std::ostream & MacWrtParserInternal::operator<< | ( | std::ostream & | o,
|  | WindowsInfo const & | w )